Loading...
Searching...
No Matches
RDKit::SynthonSpaceSearch::details::Stepper Struct Reference

`#include <SynthonSpaceSearch_details.h>`

## Public Member Functions

| Stepper (const std::vector< size_t > &sizes)
void | step ()

## Public Attributes

std::vector< size_t > | d_currState
std::vector< size_t > | d_sizes

## Detailed Description

Definition at line 95 of file SynthonSpaceSearch_details.h.

## Constructor & Destructor Documentation

## Stepper()

RDKit::SynthonSpaceSearch::details::Stepper::Stepper | ( | const std::vector< size_t > & | sizes | ) |

inline explicit

Definition at line 96 of file SynthonSpaceSearch_details.h.

References d_currState, and d_sizes.

## Member Function Documentation

## step()

void RDKit::SynthonSpaceSearch::details::Stepper::step | ( |  | ) |

inline

Definition at line 99 of file SynthonSpaceSearch_details.h.

References d_currState, and d_sizes.

## Member Data Documentation

## d_currState

std::vector<size_t> RDKit::SynthonSpaceSearch::details::Stepper::d_currState

Definition at line 119 of file SynthonSpaceSearch_details.h.

Referenced by step(), and Stepper().

## d_sizes

std::vector<size_t> RDKit::SynthonSpaceSearch::details::Stepper::d_sizes

Definition at line 120 of file SynthonSpaceSearch_details.h.

Referenced by step(), and Stepper().

The documentation for this struct was generated from the following file:

- SynthonSpaceSearch_details.h